﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace QwirkleClassLibrary
{
    public class Board
    {
        private List<Cell> Cells;

        public Board()
        {
            Console.WriteLine("BOARD created !");
            Cells = new List<Cell>();

            for (int i = 0; i < 12; i++)
            {
                for (int j = 0; j < 12; j++)
                {
                    var localcell = new Cell(i, j);
                    Cells.Add(localcell);
                }
            }
        }

        public void AddTileInCell(int x, int y, Tile tile)
        {
            for (int i = 0; i < Cells.Count; i++)
            {
                if (this.Cells[i].GetX == x && this.Cells[i].GetY == y)
                {
                    Cells[i].SetTile(tile);
                }
            }
        }
    }
}
