// ReSharper disable All
namespace QwirkleClassLibrary;

public class Cell
{
    private int x;
    private int y;
    private Tile? tile = null;

    public Cell(int x, int y)
    {
        this.x = x;
        this.y = y;
        Console.WriteLine("Cell (" + x + ", " + y + ") created");
    }

    public int GetX
    {
        get { return x; }
    }

    public int GetY
    {
        get { return y; }
    }

    public bool IsFree
    {
        get { return tile == null; }
    }

    public Tile? GetTile
    {
        get { return tile; }
    }

    public void SetTile(Tile? addedTile)
    {
        tile = addedTile;
    }
}